# frozen_string_literal: true

module DietaryDsl
  # Módulo que agrupa las constantes y funciones útiles respecto a la base de datos BEDCA
  module BEDCA
    COMPONENTS = {
      '53' => :carbohidratos,
      '67' => :carotenoides_totales,
      '88' => :retinol,
      '100' => :vitamina_a,
      '102' => :vitamina_d,
      '103' => :viamina_e,
      '123' => :acido_graso_miristico,
      '136' => :acido_graso_palmitico,
      '157' => :acido_graso_estearico,
      '172' => :acido_graso_oleico,
      '189' => :acido_graso,
      '199' => :acido_graso_alt,
      '230' => :acido_graso_araquidonico,
      '231' => :acido_graso_eicosapentaenoico,
      '260' => :acido_graso_docosahexaenoico,
      '282' => :acidos_grasos_monoinsaturados_totales,
      '287' => :acidos_grasos_poliinsaturados_totales,
      '299' => :acidos_grasos_saturados_totales,
      '307' => :fibra_dietetica_total,
      '317' => :calcio,
      '319' => :hierro_total,
      '321' => :potasio,
      '322' => :magnesio,
      '323' => :sodio,
      '326' => :fosforo,
      '404' => :alcohol,
      '409' => :energia_total,
      '410' => :grasa_total,
      '416' => :proteina_total,
      '417' => :agua,
      '433' => :colesterol,
      '456' => :ioduro,
      '462' => :selenio_total,
      '464' => :zinc,
      '472' => :folato,
      '475' => :equivalentes_de_niacina_totales,
      '482' => :riboflavina,
      '483' => :tiamina,
      '484' => :vitamina_b_12,
      '485' => :vitamina_b_6,
      '486' => :vitamina_c,
      '487' => :acido_folico,
      'alcohol (etanol)' => :alcohol,
      'grasa, total (lipidos totales)' => :grasa_total,
      'proteina, total' => :proteina_total,
      'carbohidratos' => :carbohidratos
    }.freeze
  end
end
