# frozen_string_literal: true

module DietaryDsl
  # Módulo que agrupa las constantes y funciones útiles respecto a la base de datos BEDCA
  module BEDCA
    XML_HEADER = '<?xml version="1.0" encoding="UTF-8"?>'
    URL = URI 'http://www.bedca.net/bdpub/procquery.php'
    SVG_REGEX = %r{<text.+?>(?<value>.+?)</\s?text>.+?<text.+?>(?<label>.+?)</\s?text>}

    def rehash(data, map = ATTRIBUTES)
      data.each_with_object({}) do |(key, value), hash|
        hash[map[key]] = value
        hash
      end
    end

    def arr_to_hash(data, map)
      data.each_with_object({}) do |item, hash|
        a = yield item
        hash[map[a]] = item
        hash
      end
    end
  end
end
