# frozen_string_literal: true

require 'dietary_dsl/bedca_api/constants'

module DietaryDsl
  # Clase que representa un tipo de valor nutricional y sus datos
  class FoodValue
    include BEDCA

    def initialize(values)
      data = rehash(values)

      @data = data
    end

    def [](key)
      return cantidad if key == :cantidad
      @data[key]
    end

    def cantidad
      @data[:cantidad] || @data[:vt_descripcion]
    end

    def to_s
      "#{self[:cantidad]}#{self[:unidad]}"
    end

    def to_table
      "| #{self[:nombre]} | #{self[:cantidad]} | #{self[:unidad]} |"
    end

    def inspect
      to_s
    end
  end
end
