# frozen_string_literal: true

require 'dietary_dsl/bedca_api/food'

module DietaryDsl
  # Clase que representa un menú. Un menú se compone de distintos platos (entrantes, primeros platos, postres...)
  class Alimento
    def initialize(nombre, options = {})
      @alimento = DietaryDsl::Food.find_by(nombre: nombre) unless options[:exact].nil?
      @alimento = DietaryDsl::Food.find_by_like(nombre: nombre) if options[:exact].nil?
      raise "El alimento #{nombre} no existe" if @alimento.nil?
    end

    def [](key)
      @alimento[key]
    end

    def kcal
      @alimento.kcal
    end

    def masa
      @alimento.masa
    end
  end
end
