# frozen_string_literal: true

module DietaryDsl
  # Esta clase nos permite representar unidades de masa, como gramos o kilogramos.
  class Measure
    attr_reader :cantidad

    def initialize(cantidad)
      @cantidad = cantidad.to_f
    end

    def to
      self
    end

    def to_s
      if @cantidad < 1000
        "#{small.to_i}#{@small_postfix}"
      elsif big == big.to_i
        "#{big.to_i}#{@big_postfix}"
      else
        "#{big.round(1)}#{@big_postfix}"
      end
    end
  end
end
